/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.cache.internal.OperationLogConsole");
dojo.require("net.jazz.ajax.ui.PlatformUI");
(function() {
	var checkNotNull = net.jazz.ajax.toolbox.lang.checkNotNull;
dojo.declare("com.ibm.team.workitem.web.cache.internal.OperationLogConsole", null, {
	/*
	 * Construct the proxy passing the object
	 */
	constructor: function(parms){

	},
		/*
		 * Abstract methods must be overridden
		 */
		logSetVisible: function(isVisible) {
//			throw new Error("OperationLog.logSetVisible not yet implemented.");
		},
		logAppendMessageElement: function(messageNode) {
//			throw new Error("OperationLog.logAppendMessageDiv not yet implemented.");
		},
		logClearMessages: function() {
			this._isSecondLogMessage = false;
		},
		logStop: function() {
//			throw new Error("OperationLog.logStop not yet implemented.");
		},
		logSetStopButtonEnabled: function(isEnabled) {
			
		},
		logStep: function(parms /* message */) {
			net.jazz.ajax.ui.PlatformUI.getWorkbench().showMessage(parms.message.replace(/\.\.\./, ""));			
			parms.isNewLine = true;
			parms.severity = 0;
			this.logMessage(parms)
		},
		logEndOperation: function(){
			net.jazz.ajax.ui.PlatformUI.getWorkbench().hideMessageArea();
		},
		/*
		 * Default implementation
		 */
		logAlert: function(message) {
			alert(message);
		},
		logConfirm: function(message) {
			return  confirm(message);
		},
		logPrompt: function(message, value) {
			return  prompt(message, value);
		},
		logMessage: function(parms /* message, isNewLine, severity */) {
		//	severity: INFO=0, WARNING=2, ERROR=4
		var className = "log-message"
		switch (parms.severity) {
			case 2:
				className = "log-warning";
				break;
			case 4:
				className = "log-error"
				break;
			default: break;
		}
			var isReplacingLastLine = !parms.newLine;
			if(!this._isSecondLogMessage) {
				this.logSetVisible(true);
				this._isSecondLogMessage = true;
			}
			if(!isReplacingLastLine || !this._lastMessageNode) {
				this._lastMessageNode = document.createElement("div");
				this._lastMessageNode.className = className || "log-message";
				this.logAppendMessageElement(this._lastMessageNode);
			}
			var text = document.createTextNode(parms.message);
			dojox.data.dom.replaceChildren(this._lastMessageNode, text);
		},
		logTerminatingMessage: function() {
			
		} 
}
);

})();
