/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
(function() { // avoid variables in the global (window) scope
	
var AttributeTypes= dojo.provide("com.ibm.team.workitem.web.client.internal.AttributeTypes");

// Types
AttributeTypes.SMALL_STRING= "smallString"; //$NON-NLS-1$
AttributeTypes.MEDIUM_STRING= "mediumString"; //$NON-NLS-1$
AttributeTypes.LARGE_STRING= "string"; //$NON-NLS-1$
AttributeTypes.MEDIUM_HTML= "mediumHtml"; //$NON-NLS-1$
AttributeTypes.LARGE_HTML= "html"; //$NON-NLS-1$
AttributeTypes.TIMESTAMP= "timestamp"; //$NON-NLS-1$
AttributeTypes.PROJECT_AREA= "projectArea"; //$NON-NLS-1$
AttributeTypes.TEAM_AREA= "teamArea"; //$NON-NLS-1$
AttributeTypes.PROCESS_AREA= "processArea"; //$NON-NLS-1$
AttributeTypes.CATEGORY= "category"; //$NON-NLS-1$
AttributeTypes.PRIORITY= "priority"; //$NON-NLS-1$
AttributeTypes.ITERATION= "interval"; //$NON-NLS-1$
AttributeTypes.CONTRIBUTOR= "contributor"; //$NON-NLS-1$
AttributeTypes.INTEGER= "integer"; //$NON-NLS-1$
AttributeTypes.SEVERITY= "severity"; //$NON-NLS-1$
AttributeTypes.DELIVERABLE= "deliverable"; //$NON-NLS-1$
AttributeTypes.LONG= "long"; //$NON-NLS-1$
AttributeTypes.BOOLEAN= "boolean"; //$NON-NLS-1$
AttributeTypes.COMMENTS= "comments"; //$NON-NLS-1$
AttributeTypes.SUBSCRIPTIONS= "subscriptions"; //$NON-NLS-1$
AttributeTypes.APPROVAL_DESCRIPTORS= "approvalDescriptors"; //$NON-NLS-1$
AttributeTypes.APPROVALS= "approvals"; //$NON-NLS-1$
AttributeTypes.WORK_ITEM= "workItem"; //$NON-NLS-1$
AttributeTypes.TAGS= "tags"; //$NON-NLS-1$
AttributeTypes.TYPE= "type"; //$NON-NLS-1$
AttributeTypes.CUSTOM_ATTRIBUTE= "customAttribute"; //$NON-NLS-1$
AttributeTypes.DURATION= "duration"; //$NON-NLS-1$

AttributeTypes.HTML_TYPES= [AttributeTypes.MEDIUM_HTML, AttributeTypes.LARGE_HTML];
AttributeTypes.STRING_TYPES= [AttributeTypes.SMALL_STRING, AttributeTypes.MEDIUM_STRING, AttributeTypes.LARGE_STRING];

AttributeTypes.isStringBasedType= function(type) {
	return (dojo.indexOf(AttributeTypes.HTML_TYPES, type) > -1) || (dojo.indexOf(AttributeTypes.STRING_TYPES, type) > -1);
};
	
})();