/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.dashboard.viewlets.web.client.internal.DescriptionClient");

dojo.require("com.ibm.team.repository.web.transport.ServiceRequest");
dojo.require("com.ibm.team.repository.web.transport.ServiceResponseHandler");
dojo.require("com.ibm.team.repository.web.transport.TeamServerClient");

(function(){

var ServiceRequest = com.ibm.team.repository.web.transport.ServiceRequest;
var ServiceResponseHandler = com.ibm.team.repository.web.transport.ServiceResponseHandler;
var TeamServerClient = com.ibm.team.repository.web.transport.TeamServerClient;

/*
 * Constants
 */
var SERVICE_ID = "com.ibm.team.dashboard.viewlets.service.internal.description.IDescriptionService";

com.ibm.team.dashboard.viewlets.web.client.internal.DescriptionClient = {
	
	/*
	 * Retrieves the descriptions of the specified process area.
	 */
	/* void */ getDescriptionsForProcessArea: function(/* string */ scope, /* string */ scopeItemId, /* ServiceResponseHandler */ srh, /* ServiceTracker */ tracker) {
		var params = {scope: scope, scopeItemId: scopeItemId};
		this._invoke("getDescriptionsForProcessArea", params, srh, false, tracker);
	},

	/*
	 * Invokes a service call.
	 */
	/* void */ _invoke: function(/* string */ method, /* object */ params, /* ServiceResponseHandler */ srh, /* boolean */ post, /* ServiceTracker */ tracker) {
		var req = new ServiceRequest(SERVICE_ID, method, params);
		if (tracker) {
			tracker.register(req, srh);
		}
		TeamServerClient.invokeService(req, srh);

		/*var request = {
			url: URL_PREFIX + method,
			content: params,
			handleAs: "json",
			headers: {
				accept: "text/json"
			},
			handle: function(response, ioArgs) {
				if (response instanceof Error) {
					console.error(response);
					srh.doErrorCallback(response);
				}
				else {
					var returnValue= response["soapenv:Body"].response.returnValue;
					result= null;
					if (returnValue.values) {          // array of EMF objects 
						result= returnValue.values;
					} else if (returnValue.value) {    // single EMF object
						result= returnValue.value;
					} else if (returnValue.dataArgs) { // data query
						result= _demarshallDataQuery(returnValue.dataArgs);
					}
					srh.doCallback(result);
				}
			}
		};
		if (post) {
			jazz.client.xhrPost(request);
		}
		else {
			jazz.client.xhrGet(request);
		}*/
	}
};
	
})();