/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.common.ServiceCallController"); //$NON-NLS-1$

dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang"); //$NON-NLS-1$

dojo.require("dojo.string"); //$NON-NLS-1$
dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.dialogs.ErrorDialog"); //$NON-NLS-1$

dojo.requireLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$

(function() {

var PlanningUtil		= com.ibm.team.apt.web.client.util;

var bind= dojo.string.substitute;
var MSGS= dojo.i18n.getLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$

dojo.declare("com.ibm.team.apt.web.ui.internal.common.ServiceCallController", null, { //$NON-NLS-1$

	constructor: function(aptView) {
		this._view = aptView;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	remoteError: function(error) {
		// TODO improve error handling
		console.log(error);
		new com.ibm.team.apt.web.ui.internal.view.plan.dialogs.ErrorDialog(this.__toStatus(error));
	}, 

	__toStatus: function(error){
		var status= {};
		status.title= MSGS.ERROR_REMOTE;
		status.message= MSGS.ERROR_REMOTE;		
		if(error != null){
			if(String(error.errorClass) == "com.ibm.team.apt.internal.common.InvalidConfigurationException") { //$NON-NLS-1$					
				status.message= MSGS.ERROR_INVALID_CONFIG;
				
			} else if(error.exception != null){
				status.message= error.message || error.errorClass || status.message;
				status.stacktrace= error.exception.join("<br />"); //$NON-NLS-1$
			}
		}
		return status;
	},

	setProgressMessage: function(label) {
		return this._view._showProgressMessage(label);
	},
	
	removeProgressMessage: function(messageId) {
		this._view._hideProgressMessage(messageId);
	},

	__sentinel: null // terminates this class definition
});


dojo.declare("com.ibm.team.apt.web.ui.internal.common.ServiceCallController.ErrorDialogContents",  //$NON-NLS-1$
	[dijit._Widget], {
	
	__error: null,
	
	constructor: function(error){
		this.__error= error;
	},
	
	postCreate: function() {
		
		
		
		var msgNode= document.createTextNode(errorMessage);
		this.domNode.appendChild(msgNode);
	},
	
	__eof: null
});

})();
