﻿/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
class PieChart extends Chart {
	
	public static var FULL_CIRCLE_DEGREES:Number = 360;

	public static var HALF_CIRCLE_DEGREES:Number = 180;
	
	
	public function PieChart() {
		super();
	}
	
	public function draw(parentMC:MovieClip):Void {
		
		super.draw(parentMC);
		
		var currentAngle:Number = 0;		
		var model:ChartModel = ChartEngine.getInstance().getModel();
		
		var animate:Boolean = true;
		if (model.parameterCount == 1) {
			animate = false;
		}
		
		for (var index:Number = 0; index < model.parameterCount; index++) {
			
			var outlineColour = ColourUtility.darkenColour(model.parameterColours[index], 
														   Chart.RGB_DARKEN_PERCENTAGE);
			
			this.shapes[index] = new PieShape(outlineColour, 
											  model.parameterColours[index],
											  model.parameterNames[index], 											  
											  model.parameterValues[index],
											  animate);

			// TODO: Calculate division points inside pie shape
			var ratio:Number = model.parameterValues[index] / model.total;
			var angle:Number = PieChart.FULL_CIRCLE_DEGREES * ratio;

			var startAngle:Number = currentAngle;
			var arcAngle:Number = angle;
			
			
			this.shapes[index].draw(this.mc, 
						   			this._getCenterCoordinateX(), 
									this._getCenterCoordinateY(), 
						   			startAngle, 
						   			arcAngle, 
									this._getRadius());
			 
			 currentAngle = currentAngle + angle;
		}		
		
	}
	
	private function _getCenterCoordinateX():Number {
		return this.startX + (this.width / 2);
	}
	
	private function _getCenterCoordinateY():Number {
		return this.startY + (this.height / 2);
	}	
	
	private function _getRadius():Number {
		return (this.height / 2.5);
	}
	
	public function destroy():Void {
		super.destroy();
	}		
	
}