﻿/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
class TextUtility {
	
	public static var DOTS:String = "...";
	
	public static function truncateAndTrailOffText(text:String, textFormat:TextFormat, textFieldWidth:Number):String {

		var textWidth:Number = textFormat.getTextExtent(text).textFieldWidth;
		
		if (textWidth <= textFieldWidth) {
			// Text fits
			// No modifications necessary
			return text;
		}

		// Text does not fit
		// Truncate and trail off text with "..."
		var constrainedLength:Number = Math.round((textFieldWidth * text.length) / textWidth) - TextUtility.DOTS.length;
		var resultText:String;
			
		if (constrainedLength <= 0) {
			resultText = TextUtility.DOTS;
		} else {
			resultText = text.substring(0, constrainedLength) + TextUtility.DOTS;
		}
		
		return resultText;
	}	
	
}