/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	// Shared
	'loading': "Loading...",
	'loadingDefs': "Loading definitions",
	'loadingDef': "Loading definition",
	'loadingBuild': "Loading build",
	'loadingBuildQueue': "Loading build queue",
	'loadingBuildEngines': "Loading build engines",
	'loadingBuildRequest': "Loading build request",
	'deletingBuild': "Deleting build",
	'buildDefinitions': "Build Definitions",
	'buildQueue':"Build Queue",
	'refresh': "Refresh",
	'save': "Save",
	'saving': "Saving",
	'cancelBuild': "Cancel Build Request",
	'confirmCancel': "Do you want to cancel the request?",
	'abandonBuild': "Abandon Build",
	'confirmAbandon': "Abandoned builds may continue to execute on the server, but will no longer show as in progress.\n\nAre you sure you want to abandon this build?",
	'deleteBuild': "Delete",
	'confirmDelete': "Are you sure you want to permanently delete the build result from the repository?",
	'builds': "Builds",
	'error': "Error",
	'buildLabel': "${0} ${1}",
	'personalBuildLabel': "${0} (personal build by ${1})",
	'pending': "Pending",
	'unlabeled': "(unlabeled)",
	'definitionNotFound': "The requested definition could not be found. It may have been deleted.",
	'serviceNotFound': "The required service could not be found. It may be restricted by the server.",	
	'buildsTitle': "Builds: ${0}",
	'unknown': "<unknown>",
	'inProgess': "In Progress",
	'completed': "Completed",
	'abandoned': "Abandoned",
	'canceled': "Canceled",
	
	// BuildPage
	'welcome': "Welcome to Builds",	
	'getStartInstruction': "To get started, select an item from the left panel.",
	
	// DefinitionPage, BuildQueue & BuildQueryColumn
	'request': "Request Build",
	'buildsHeading': "Builds for ${0}",
	'buildQueueHeading': "Build Queue for ${0}",
	'buildDefinitionsHeading': "Build Definitions for ${0}",
	'noResultsFound': "No build results found.",
	'noQueueFound': "The build queue is empty. There are no pending or in-progress builds.",
	'noEnginesFound': "No build engines found.",
	'overdue': "${0} (overdue)",
	'percentComplete':"${0}%",
	'progressAndActivity': "${0} (${1})",
	'multipleCurrentActivities': "${0} current activities",
	'labelLabel': "Label",
	'labelProgress': "Progress",
	'labelEstimated': "Estimated Completion",
	'labelStart': "Start Time",
	'labelDuration': "Duration",
	'labelTags': "Tags",
	'labelTimeInQueue': "Time in Queue",
	
	// BuildEngines & EngineColumn
	'buildEnginesHeading': "Build Engines for ${0}",
	'engineWarningDesc': "The build engine process may not be running.",
	'engineWarning': "Warning (The build engine process may not be running.)",
	'engineInactive': "Inactive",
	'engineBusy': "Busy",
	'engineIdle': "Idle",
	'labelID': "ID",
	'labelStatus': "Status",
	'labelLastContactTime': "Last Contact Time",
	
	// BuildRequest
	'requestPageTitle': "Request Build for ${0}",
	'propertiesHeading': "Build Properties",
	'propertiesHeadingCopied': "Build Properties (copied from build ${0})",
	'showDescriptions': "Show Descriptions",
	'hideDescriptions': "Hide Descriptions",
	'optionsHeading': "Build Options",
	'nameHeading': "Name:",
	'valueHeading': "Value:",
	'valueHeadingRequired': "Value:*",
	'descriptionHeading': "Description:",
	'personalBuild': "Personal Build",
	'personalBuildMessage': "Check this option to make this a personal build. The build will run using a workspace you specify, and will not impact the build definition status. Personal build alerts will only be received by you, not other members of your team.",
	'repositoryWorkspace': "Repository Workspace:*",
	'requiredHoverName': "Because this is a required property, its name cannot be changed.",
	'requiredHoverDescription': "Because this is a required property, its description cannot be changed.",
	'resultNotFound': "The requested result could not be found. It may have been deleted.",
	'addLabel': "Add",
	'removeLabel': "Remove",
	'submitLabel': "Submit",
	'browseLabel': "Browse",
	'sendingRequest': "Sending build request",
	'requestFailed': "Build request failed. ${0}",
	'enginesNotProcessing': 'The build engines supporting "${0}" do not appear to be processing requests. You can still submit a request, but the build may never run. Are you sure you want to submit the request?',
	'requestAlreadyInQueue': 'A request for "${0}" is already in the queue. Are you sure you want to make another request?',
	'buildAlreadyInProgress': 'A "${0}" build is already in progress. Are you sure you want to request another one?',
	'propertyExists': 'A property with that name already exists.', 
	'propertyHasBlankName': 'A property name must be given.',
	'noWorkSpace': 'Please specify a workspace.',
	'noValueInRequiredProperties': 'The value of a required property must not be empty.',

	// Compile and JUnit
	'labelName': "Name",
	'labelErrors': "Errors",
	'labelWarnings': "Warnings",
	'labelTests': "Tests",
	'labelFailures': "Failures",

	// BuildResult
	'errorDuringSavingTags': "Error occurred when saving tags.",
	'confirmNavigateAway': "The build result has been modified and has NOT been saved, do you want to navigate away from this page?",
	'deletionAllowed': " Deletion allowed",
	'deletionAllowedMessage': "Allow deletion or automatic pruning of the build result.",
	'requestBuild': "Request Build",
	'requestRebuild': "Request Rebuild",
	'buildHeading': "Build ${0}",
	'overview': "Overview",
	'downloads': "Downloads",
	'externalLinks':"External Links",
	'logs':"Logs",
	'workItems':"Work Items",
	'na':"N/A",
	'startTime': "Start time: ",
	'endTime': "Completed: ",
	'duration': "Duration: ",
	'requestor': "Requested by: ",
	'definition': "Build Definition: ",
	'engine': "Build Engine: ",
	'history': "Build History: ",
	'historyLabel': "${0} builds",
	'tags': "Tags: ",
	'fileName': "File Name",
	'fileSize': "File Size",
	'description': "Description",
	'generalInfo': "General Information",
	'contributionSummary': "Contribution Summary",
	'reportedWorkItems': "Work items reported against this build:",
	'createReported': "Create a new work item",
	'createReportedMessage': "Creating work item",
	'createReportedSummary': "Problem with build ${0}",
	'associateReported': "Associate an existing work item",
	'includedWorkItems': "Work items included in this build:",
	'none': "None",
	'scheduled': "Scheduled build",
	'notAvailable': "Not available",
	'emptyDownloads': "No downloads.",
	'emptyLinks': "No external links.",
	'emptyLogs': "No logs.",
	'emptyReported': "No reported work items.",
	'emptyIncluded': "No included work items.",
	'compilation': "Compilation",
	'junit': "JUnit",
	'properties': "Properties",
	'selectWarningSource': "Compile Output: Select a compile source to see its compilation errors and warnings.",
	'junitDetails': "Details",
	'emptyCompilation': "No compilation results.",
	'emptyJunit': "No JUnit results.",
	'emptyProperties': "No properties.",
	'noComponent': "no component",
	'downloadLabel': "1 download",
	'downloadLabelPlural': "${0} downloads",
	'linksLabel': "1 external link",
	'linksLabelPlural': "${0} external links",
	'logLabel': "1 log",
	'logLabelPlural': "${0} logs",
	'reportedLabel': "1 work item reported against this build",
	'reportedLabelPlural': "${0} work items reported against this build",
	'includedLabel': "1 work item included in this build",
	'includedLabelPlural': "${0} work items included in this build",
	'compileSummaryLabel': "${0} errors, ${1} warnings in compilation",
	'junitSummaryLabel': "${0} tests, ${1} failures, ${2} errors with JUnit tests",
	'compilationDetails': "Line ${0}: ${1}",
	'selectWorkItem':"Select work item",
	'associatingLink':"Associating work item",
	
	// number of bytes / kilobytes / megabytes for downloads/logs
	'bytes': "${0} B",
	'kbytes': "${0} KB",
	'mbytes': "${0} MB",
	
	// DefinitionList
	'noDefinitions': "No build definitions found.",
	
	// LeftNav
	'projsAndTeams': "Build Artifacts",
	'buildEngines': "Build Engines",
	'recentlyViewed': "Recently Viewed",
	
	// WorkspaceSelectionDialog
	'ok': "OK",
	'cancel': "Cancel",
	'selectWorkspace': "Select Workspace"
})