/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.viewlets.web.ui.internal.utils.ErrorUtility");

/*
 * Imports 
 */

// TODO: MP: Move to Foundation?

(function() {

/*
 * Class 
 */
com.ibm.team.workitem.viewlets.web.ui.internal.utils.ErrorUtility = {
	
	/*
 	* Static Variables
 	*/	

	/*
 	 * @param Error errorObject
 	 * @param String id
 	 * 
 	 * @return void
 	 */
	logInfo: function(errorObject, id) {
		// Log info only in debug mode
		if (djConfig.isDebug) {
			console.log(this.getErrorMessage("INFO", errorObject, id));
		}
	},	
	
	/*
 	 * @param Error errorObject
 	 * @param String id
 	 * 
 	 * @return void
 	 */
	logError: function(errorObject, id) {
		console.error(this.getErrorMessage("ERROR", errorObject, id));
	},	
	
	/*
 	 * @param Error errorObject
 	 * @param String id
 	 * 
 	 * @return void
 	 */
	logWarning: function(errorObject, id) {
		console.warn(this.getErrorMessage("WARNING", errorObject, id));
	},		
	
	/*
 	 * @param String prefix
 	 * @param Error errorObject
 	 * @param String id
 	 * 
 	 * @return String
 	 */
	getErrorMessage: function(prefix, errorObject, id) {
		
		var classID = "";
		var lineNumber = "";
		var message = "";

		// Class name
		if (id) {
			classID = id + ": ";
		} 

		if (errorObject) {
			// Line number
			if (errorObject.lineNumber) {
				lineNumber = "(line " + errorObject.lineNumber + "): ";
			} 
			// Error message
			if (errorObject.message) {
				message = errorObject.message;
			} else {
				message = "Message unavailable";
			}
			if (errorObject.status === 403) {
				message = message + ": You do not have permission to read the associated data.";
			}			
		} else {
			// Error message
			message = "Undefined exception";			
		}
		
		var errorMessage = "[" + prefix + "]: " + 
							classID +
							lineNumber +
							message;
							
		return errorMessage;
	}

};


})();

