/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.actions.DeletePlanAction"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.client.internal.ProgressMonitoredServiceResponseHandler"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.client.internal.PlanningClient"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.Action"); //$NON-NLS-1$

dojo.requireLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$
dojo.require("dojo.i18n"); //$NON-NLS-1$

(function() {

var ResponseHandler= com.ibm.team.apt.web.client.internal.ProgressMonitoredServiceResponseHandler;	
var PlanningClient= com.ibm.team.apt.web.client.internal.PlanningClient;	

var Assert= com.ibm.team.apt.web.ui.internal.common.Assert;

var MSGS= dojo.i18n.getLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$

var IconUrl= dojo.moduleUrl("com.ibm.team.apt.web", "ui/internal/view/plan/images/delete.gif"); //$NON-NLS-1$ //$NON-NLS-2$

dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.actions.DeletePlanAction", //$NON-NLS-1$
			 [com.ibm.team.apt.web.ui.internal.view.plan.actions.Action], {

	_plan: null,
	_callCtrl: null,
	
	// ---- constructor mixed-in properties --------------------------------------------------------------------------------	
	
	constructor: function(plan, callCtrl, row) {
		this._plan= plan;
		this._callCtrl= callCtrl;
		this._row= row;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getId: function() {
		return "plan.delete"; //$NON-NLS-1$
	},
	
	getName: function() {
		return MSGS.ACTION_DELETE_PLAN;
	},
	
	getIconUrl: function() {
		return IconUrl;
	},
	
	canHandle: function() {
		return true;
	},
	
	handle: function() {
		
		var msg= dojo.string.substitute(MSGS.ACTION_DELETE_PLAN_CONFIRM, [this._plan.label]);
		if(!confirm(msg))
			return;
		
		this._row.parentNode.removeChild(this._row);
		this._callCtrl.deletePlan(this._plan);
	},

	__sentinel: null // terminates this class definition
});

})();
