/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.actions.EditAttachedPageAction"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.client.internal.ProgressMonitoredServiceResponseHandler"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.client.internal.PlanningClient"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.Action"); //$NON-NLS-1$

dojo.requireLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$
dojo.require("dojo.i18n"); //$NON-NLS-1$

(function() {

var ResponseHandler= com.ibm.team.apt.web.client.internal.ProgressMonitoredServiceResponseHandler;	
var PlanningClient= com.ibm.team.apt.web.client.internal.PlanningClient;	
var Action= com.ibm.team.apt.web.ui.internal.view.plan.actions.Action;

var Assert= com.ibm.team.apt.web.ui.internal.common.Assert;

var MSGS= dojo.i18n.getLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$

dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.actions.EditAttachedPageAction", //$NON-NLS-1$
			 [com.ibm.team.apt.web.ui.internal.view.plan.actions.Action], {
	
	_callCtrl: null,
	_attachedPage: null,
		
	constructor: function(callCtrl, attachedPage) {
		this._callCtrl= callCtrl;
		this._attachedPage= attachedPage;
	},
	
	// ---- constructor mixed-in properties --------------------------------------------------------------------------------	

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getId: function() {
		return "attachedPage.edit"; //$NON-NLS-1$
	},
	
	getName: function() {
		return MSGS.ACTION_EDIT_ATTACHED_PAGE;
	},
	
	
	getStyle: function() {
		return Action.STYLE_FLAT | Action.STYLE_TOGGLE;
	},
	
	getIconUrl: function() {
		return dojo.moduleUrl("com.ibm.team.apt.web", "ui/internal/view/plan/images/edit.gif"); //$NON-NLS-1$ //$NON-NLS-2$
	},
	
	isChecked: function(){
		return this._attachedPage.getEditMode();
	},
	
	canHandle: function() {
		return this._attachedPage.isEditable();
	},
	
	handle: function() {
		var editMode= this._attachedPage.getEditMode();	
		this._attachedPage.setEditMode(!editMode);
	},

	__sentinel: null // terminates this class definition
});

})();
