/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.actions.MoveIntoGroupAction"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.SaveRunnerExecuteAction"); //$NON-NLS-1$

dojo.requireLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$
dojo.require("dojo.i18n"); //$NON-NLS-1$=
dojo.require("dojo.string"); //$NON-NLS-1$

(function() {
	
var Assert							= com.ibm.team.apt.web.ui.internal.common.Assert;
var bind= dojo.string.substitute;

var MSGS= dojo.i18n.getLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$
var IconUrl= dojo.moduleUrl("com.ibm.team.apt.web", "ui/internal/view/plan/images/move_item_into.gif"); //$NON-NLS-1$ //$NON-NLS-2$

dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.actions.MoveIntoGroupAction", //$NON-NLS-1$
			 [com.ibm.team.apt.web.ui.internal.view.plan.actions.SaveRunnerExecuteAction], {

	constructor: function(viewModel, itemMovePolicy, errorReporter) {
	},

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getId: function() {
		return "move.intoGroup"; //$NON-NLS-1$
	},
	
	getName: function() {
		var groupElement= this._viewerItem.getViewEntry().getElement();
		
		var selectedCount= this._viewModel.getSelectedEntries().length;
		var pattern= selectedCount <= 1 ? MSGS.action_assignToGroup : MSGS.action_assignToGroupMultiple;
		return bind(pattern, [groupElement.getLabel(), selectedCount]);
	},
	
	getIconUrl: function() {
		return IconUrl;
	},

	canHandle: function(targetEntry, selection) {
		if (this._isDisposed())
			return false;

		var targetEntry= this._viewerItem.getViewEntry();
		var selection= this._viewModel.getSelectedEntries();
		
		if (selection.length == 0)
			return false;
		
		return dojo.every(selection, function(selectedEntry) {
			return this._movePolicy.canMove(selectedEntry, targetEntry, com.ibm.team.apt.ui.Move.Child);
		}, this);
	},
	
	_doHandle: function() {
		var targetEntry= this._viewerItem.getViewEntry();
		var selection= this._viewModel.getSelectedEntries();

		dojo.forEach(selection, function(selectedEntry) {
			this._movePolicy.move(selectedEntry, targetEntry, com.ibm.team.apt.ui.Move.Child);
		}, this);
	},
	
	// --- implementation ------------------------------------
	
	__sentinel: null // terminates this class definition
});

})();
