/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.actions.SaveRunnerExecuteAction"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.Action"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.client.internal.WorkItemSaveManager"); //$NON-NLS-1$

(function() {
	
var Assert							= com.ibm.team.apt.web.ui.internal.common.Assert;
var WorkItemSaveManager				= com.ibm.team.apt.web.client.internal.WorkItemSaveManager;

dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.actions.SaveRunnerExecuteAction", //$NON-NLS-1$
			 [com.ibm.team.apt.web.ui.internal.view.plan.actions.Action], {
	
	_viewModel: null,
	_errorReporter: null,
	_viewerItem: null,
	_movePolicy: null,
	
	constructor: function(viewModel, itemMovePolicy, errorReporter, viewerItem) {
		this._viewModel= viewModel;
		this._errorReporter= errorReporter;
		this._viewerItem= viewerItem;
		this._movePolicy= itemMovePolicy;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	handle: function() {
		var elementsToSelect= dojo.map(this._getPostOperationSelectionEntries(), function(entry) {
			return entry.getElement();
		});
		
		WorkItemSaveManager.compoundSave(function() {
			this._doHandle();
		}, this._viewModel, this._errorReporter, this);
		
		this._viewModel.updateModel(function(updateAccessor) {
			var n= updateAccessor.getEntryNavigator(true);
			
			var entriesToSelect= [];
			dojo.forEach(elementsToSelect, function(element) {
				var primaryEntry= n.findPrimaryEntry(element);
				if (primaryEntry) {
					entriesToSelect.push(primaryEntry);
				}
			}, this);

			updateAccessor.executeAfterUpdate(dojo.hitch(this, function() {
				this._viewModel.setSelectedEntries(entriesToSelect);
				
				dojo.forEach(entriesToSelect, function(entry) {
					this._viewModel.revealEntry(entry);
				}, this);
			}));
		}, this);
	},
	
	// ---- spi ------------------------------------------------------------------------------------------------------------
	
	_doHandle: function() {
		Assert.isTrue(false, "subclass must implement SaveRunnerExecuteAction#_doHandle()"); //$NON-NLS-1$
	},

	_isDisposed: function() {
		return this._viewerItem.getViewEntry().isDisposed();
	},
	
	_getPostOperationSelectionEntries: function() {
		return this._viewModel.getSelectedEntries();
	},
	
	__sentinel: null // terminates this class definition
});

})();
