/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.actions.SelectAction"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.Action"); //$NON-NLS-1$

dojo.requireLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$
dojo.require("dojo.i18n"); //$NON-NLS-1$

(function() {
	
var Assert							= com.ibm.team.apt.web.ui.internal.common.Assert;
var Action = com.ibm.team.apt.web.ui.internal.view.plan.actions.Action;

var MSGS= dojo.i18n.getLocalization("com.ibm.team.apt.web.ui.internal", "IterationPlanMessages"); //$NON-NLS-1$ //$NON-NLS-2$

var SelectedUrl= dojo.moduleUrl("com.ibm.team.apt.web", "ui/internal/view/plan/images/checkbox_selected.png"); //$NON-NLS-1$ //$NON-NLS-2$
var UnselectedUrl= dojo.moduleUrl("com.ibm.team.apt.web", "ui/internal/view/plan/images/checkbox_unselected_hot.png"); //$NON-NLS-1$ //$NON-NLS-2$


dojo.declare("com.ibm.team.apt.web.ui.internal.view.plan.actions.SelectAction", //$NON-NLS-1$
			 [com.ibm.team.apt.web.ui.internal.view.plan.actions.Action], {
	
	_viewModel: null,
	_viewerItem: null,
	
	constructor: function(viewModel, viewerItem) {
		this._viewModel= viewModel;
		this._viewerItem= viewerItem;
	},

	// ---- constructor mixed-in properties --------------------------------------------------------------------------------	

	// ---- api ------------------------------------------------------------------------------------------------------------

	getStyle: function() {
		return Action.STYLE_FLAT | Action.STYLE_NOHOVER;
	},

	getId: function() {
		return "select.all"; //$NON-NLS-1$
	},
	
	getIconUrl: function() {
		return this._viewerItem.isSelected() ? SelectedUrl : UnselectedUrl;
	},

	getName: function() {
		return this._viewerItem.isSelected() ? MSGS.action_deselect : MSGS.action_select;
	},
	
	canHandle: function() {
		return true;
	},
	
	handle: function() {
		this._viewModel.setEntrySelectionState(this._viewerItem.getViewEntry(), !this._viewerItem.isSelected());
	},

	// ---- widget implementation ------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
