/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui2.internal.widget.DialogListWidget");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("jazz.ui.HoverPopup");
dojo.require("jazz.util.html");
dojo.require("com.ibm.team.workitem.web.ui2.internal.widget.AbstractWidget");
dojo.require("com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil");
dojo.requireLocalization("com.ibm.team.workitem.web.ui.internal", "WorkItemEditorMessages");


(function() {

var WidgetUtil = com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil;

/* defineWidget */ dojo.declare(
	"com.ibm.team.workitem.web.ui2.internal.widget.DialogListWidget",
	[dijit._Widget, dijit._Templated, com.ibm.team.workitem.web.ui2.internal.widget.AbstractWidget],
	{

		templateString: '<div class="DialogListWidget">' +
						'<select dojoAttachPoint="_select" dojoAttachEvent="onkeyup: _handleKeyUp, onchange: _handleSelectChange, onclick:_handleSelectClick, onfocus:_handleSelectFocus, onblur: _handleSelectBlur" style="width: 100%" class="Select"></select>' +
						'</div>',

		postCreate: function() {
            this.messages = dojo.i18n.getLocalization("com.ibm.team.workitem.web.ui.internal", "WorkItemEditorMessages");
			this.presentation = this.presentation || {};
			this._select.size = this.presentation.size || "6";
			this.setPossibleValues(this._possibleValues);
 		},
 		destroy: function() {
 			this._destroyChildren();
 			this.inherited(arguments);
 		},
 		setPossibleValues: function (possibleValues) {
 			dojox.data.dom.removeChildren(this._select);
 			if(!possibleValues) return;
 			this._possibleValues = possibleValues;		
			for(var i=0;i<possibleValues.length;i++) {
				var option = document.createElement("option");
				var message = possibleValues[i][this.presentation.messageSelector] || "";
				var details = possibleValues[i][this.presentation.detailsSelector] || "";
				
				if(this.presentation.isErrorList) {
					var optionMessage = details.length > 0 ? details : message;
				} else {					
					var optionMessage = message;			
				}
				var text = document.createTextNode(optionMessage);
				option.appendChild(text);
				this._select.appendChild(option);
				
				message = jazz.util.html.escape(message);
				details = jazz.util.html.escape(details);
				
				if(dojo.isMozilla) {					
					var hoverMessage = "<STRONG>"+message+"</STRONG><BR/>"+details;
					this.addChildWidget( new jazz.ui.HoverPopup({
						around: [option],
						maxWidth: "300px",
						html: hoverMessage,
						orientation: "L" // Left so it does not obscure the scroll bar
					}));
				} else {
					var titleMessage = message;
					if(details.length > 0) {
						titleMessage = dojo.string.substitute(this.messages.labelListWorkItem, [ message, details ] );
					} 
					option.title = titleMessage;
				}
			}
			
 		},
 		_handleKeyUp: function(e) {
 			if(this.onKeyUp) this.onKeyUp(e);
			var selectValue = this._getCurrentSelectValue(this._select);
			if(selectValue && this._lastSelectedValue) {
				if(selectValue.id != this._lastSelectedValue.id) {
					this._handleSelectChange(e, selectedValue);
				}
			} else {
				this._handleSelectChange(e, selectedValue);
			}
 		},
 		_handleSelectChange: function(e, value) {
 			if(!value) {
 				value = this._getCurrentSelectValue(this._select)
 			}
 			this._lastSelectedValue = value;
 			if(this.workingCopy) { 				
	 			this.workingCopy.setValue({
	 				path: ["attributes", this.attributeId],
	 				attributeId: this.attributeId,
	 				caller: this,
	 				value: value
	 				})
 			}
 			if(!this.onChange) return;
 			this.onChange({event: e, parentWidget: this.parentWidget, value: value }); 			
 		},
 		_handleSelectClick: function(e) {
 			if(this.onClick) this.onClick(e); 			
 		},
 		_handleSelectFocus: function(e) {
 //			if(this.onFocus) this.onFocus(e); 			
 		},
 		_handleSelectBlur: function(e) {
// 			if(this.onBlur) this.onBlur(e); 			
 		}
	}
);

})();