/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.common.Contributor"); //$NON-NLS-1$

dojo.require("com.ibm.team.repository.web.client.session.Session"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.repository.common.Contributor", null, { //$NON-NLS-1$

	constructor: function(contributorDTO) {
		this.itemId= contributorDTO.itemId;
		this.itemType= contributorDTO.itemType;
		this.label= contributorDTO.label;
		this.iconURL= contributorDTO.iconURL;
		this.photoURL= contributorDTO.photoURL;
		this.archived= contributorDTO.archived;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	itemId: null,
	itemType: null,
	label: null,
	iconURL: null,
	photoURL: null,
	archived: false,
	
	equals: function(other) {
		if (this === other)
			return true;

		if (this.declaredClass !== other.declaredClass)
			return false;
		
		return this.itemId == other.itemId;
	},

	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

com.ibm.team.repository.common.Contributor.getAuthenticatedContributorId= function() {
	return com.ibm.team.repository.web.client.session.getAuthenticatedContributor().itemId;
};

})();
