/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.common.Severity"); //$NON-NLS-1$

(function() {

var NONE= 0;
var INFO= 1;
var WARNING= 2; 
var ERROR= 3;
var FATAL_ERROR= 4;

dojo.declare("com.ibm.team.apt.common.Severity", null, { //$NON-NLS-1$
	
	__id: null,
	
	constructor: function(id) {
		this.__id= id;
	},

	getValue: function() {
		switch (this.__id) {
			case NONE: return "NONE"; //$NON-NLS-1$
			case INFO: return "INFO"; //$NON-NLS-1$
			case WARNING: return "WARNING"; //$NON-NLS-1$
			case ERROR: return "ERROR"; //$NON-NLS-1$
			case FATAL_ERROR: return "FATAL_ERROR"; //$NON-NLS-1$
		}
		return null;
	},
	
	compareTo: function(other) {
		return this.__id - other.__id;
	},
	
	equals: function(other) {
		if (this === other)
			return true;

		if (this.declaredClass !== other.declaredClass)
			return false;
		
		return this.__id == other.__id;
	},
	
	__sentinel: null // terminates this class definition
});

com.ibm.team.apt.common.Severity.NONE= new com.ibm.team.apt.common.Severity(NONE);
com.ibm.team.apt.common.Severity.INFO= new com.ibm.team.apt.common.Severity(INFO);
com.ibm.team.apt.common.Severity.WARNING= new com.ibm.team.apt.common.Severity(WARNING);
com.ibm.team.apt.common.Severity.ERROR= new com.ibm.team.apt.common.Severity(ERROR);
com.ibm.team.apt.common.Severity.FATAL_ERROR= new com.ibm.team.apt.common.Severity(FATAL_ERROR);

com.ibm.team.apt.common.Severity.valueOf= function(severity) {
	// return severity by number
	switch (parseInt(severity)) {
		case NONE:
			return com.ibm.team.apt.common.Severity.NONE;
		case INFO:
			return com.ibm.team.apt.common.Severity.INFO;
		case WARNING: 
			return com.ibm.team.apt.common.Severity.WARNING;
		case ERROR:
			return com.ibm.team.apt.common.Severity.ERROR;
		case FATAL_ERROR:
			return com.ibm.team.apt.common.Severity.FATAL_ERROR;
	}

	// severity strings, such as "WARNING"
	return com.ibm.team.apt.common.Severity[severity];
};

})();
