/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.internal.ui.quickquery.QuickQueryParticipant"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.apt.internal.ui.quickquery.QuickQueryParticipant", null, { //$NON-NLS-1$

	_viewModel: null,
	_expression: null,
	_enabled: false,
	_installed: false,

	constructor: function(viewModel) {
		this._viewModel= viewModel;
	},
	
	// ---- API ------------------------------------------------------------------------------------------------------------

	isInstalled: function() {
		return this._installed;
	},
	
	setEnabled: function(enabled) {
		this._enabled= enabled;
		this._doUnInstall();
	},

	setExpression: function(expression) {
		this._expression= expression;
		this._doUnInstall();
	},

	// ---- implementation -------------------------------------------------------------------------------------------------

	_doUnInstall: function() {
		throw new Error("_doUnInstall not implemented"); //$NON-NLS-1$
	},

	_matches: function(planItem) {
		return this._expression.evaluate(planItem);
	},

	__sentinel: null // terminates this class definition
});


})();
